[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TPage.Create

Constructor for the class instance.

## Declaration

Source position: extctrls.pp line 54

`public constructor TPage.Create(`
`TheOwner: TComponent`
`); override;`

## Arguments

`TheOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for the class instance. Create calls the inherited constructor, and sets the default values for properties in the class instance. The following properties are updated in the method:

ControlStyle
  Includes the values csAcceptsControls, csDesignFixedBounds, csNoDesignVisible, and csNoFocus in the set.
Align
  Set to alClient. The height and width for the page depend on the dimensions for the parent control.
Caption
  Set to an empty string ('').
Visible
  Set to False.